{% extends "ajax/game/town/town.html.twig" %}
{%block title %}{{'Wachturm'|trans({}, 'game')}}{% endblock %}
{% block content %}
    {% set wtt = conf.get(constant('App\\Structures\\TownConf::CONF_MODIFIER_WT_THRESHOLD'),33) %}

    <h1 class="page-head">{{'Wachturm'|trans({}, 'buildings')}}</h1>

    <div class="help">
        {% trans from 'game' %}
            Mithilfe des Wachturms kann die Stärke des nächtlichen Angriffs abgeschätzt werden. Je mehr Bürger sich an der Abschätzung beteiligen, desto genauer wird das Ergebnis.
        {% endtrans %}
        {% if has_scanner %}
            <hr />
            {{ 'Die Abschätzung wird durch den Scanner verbessert.'|trans({},'game') }}
        {% endif %}
        {% if has_calc %}
            <hr />
            {{ 'Dank der Rechenmaschine kannst du den morgigen Angriff abschätzen.'|trans({},'game') }}
        {% endif %}
    </div>

    <div class="block watchtower">
        <div class="row">
            {% if z0[4] >= wtt %}
            <div class="padded cell rw-12 center">
                {{ 'Heutige Abschätzung'|trans({},'game') }}
            </div>
            <div class="cell rw-12 center">
                <b>{{ z0[2] }} - {{ z0[3] }}</b> <img alt="{{ 'Zombies'|trans({},'game') }}" src="{{ asset('build/images/icons/small_zombie.gif') }}" />
            </div>
            {% else %}
                <div class="padded cell rw-12 center">
                    {{ 'Unsere aktuelle Schätzung ist zu ungenau, um brauchbar zu sein: Wir brauchen mehr Bürger, die auf den Turm gehen!'|trans({}, 'game')}}
                </div>
            {% endif %}
        </div>
        <div class="row">
            <div class="padded cell rw-12 center small">
                {% if z0[4] < 100 %}
                    <div class="watchtower-prediction">
                        {% if z0[5] is not null %}
                            <div class="note note-critical" style="border: none">{{ z0[5]|trans({},'game') }}</div>
                        {% endif %}
                        <p>{{ 'Qualität der Abschätzung'|trans({},'game') }}</p>
                        <div class="watchtower-prediction-bar">
                            <div class="watchtower-prediction-progress" style="width: {{ z0[4] }}%;"></div>
                            <div class="watchtower-prediction-text" style="width: {{ z0[4] }}%;">{{ z0[4] }}%</div>
                            <div class="tooltip help">
                                {{ 'Jeder Bürger, der herkommt, um den Horizont abzusuchen, kann die Qualität der Abschätzung verbessern.'|trans({}, 'game') }}
                            </div>
                        </div>
                    </div>
                {% else %}
                    {% if z0[5] is not null %}
                        <div class="note note-critical" style="border: none">{{ z0[5]|trans({},'game') }}</div>
                    {% endif %}
                    <p>{{ 'Das ist die bestmögliche Schätzung, die wir für diesen Angriff abgeben konnten.'|trans({}, 'game') }}</p>
                {% endif %}
            </div>
        </div>
        <div class="row">
            <div class="padded cell rw-12 center small">
            {% if z0[4] < 100 %}
                <button {% if not z0_av %}disabled{% endif%} x-predict-attack="0"><img src="{{ asset('build/images/soul/r_explor.gif') }}" /> {{ 'Abschätzung verbessern'|trans({},'game') }}</button>
            {% endif %}
            </div>
        </div>
    </div>

    <div class="block">
        <div class="row">
            <div class="padded cell rw-12 center">
                <strong>{{ 'Morgige Abschätzung'|trans({},'game') }}</strong>
            </div>
            {% if z1[5] is not null %}
                <div class="padded cell rw-12">
                    <div class="note note-critical" style="border: none">{{ z1[5]|trans({},'game') }}</div>
                </div>
            {% endif %}
        </div>
        <div class="row">
            {% if z1[0] %}
            <div class="padded cell rw-12 center">
                {% if z1[1] %}
                    <div>{{'Wir denken, der morgige Angriff wird ungefähr folgendermaßen aussehen:'|trans({}, 'game')}}</div>
                    <b>{{ z1[2] }} - {{ z1[3] }}</b> <img alt="{{ 'Zombies'|trans({},'game') }}" src="{{ asset('build/images/icons/small_zombie.gif') }}" />
                {% else %}
                    <div>{{'Die Schätzung des heutigen Tages muss zuerst abgeschlossen werden, um die Schätzung des nächsten Tages zu berechnen.'|trans({}, 'game')}}</div>
                {% endif %}
            </div>
            <div class="padded cell rw-12 center small">
                {% if z1[1] %}
                    {% if z1[4] < 100 %}
                    <div class="watchtower-prediction">
                        <p>{{ 'Qualität der Abschätzung'|trans({},'game') }}</p>
                        <div class="watchtower-prediction-bar">
                            <div class="watchtower-prediction-progress" style="width: {{ z1[4] }}%;"></div>
                            <div class="watchtower-prediction-text" style="width: {{ z1[4] }}%;">{{ z1[4] }}%</div>
                        </div>
                    </div>
                    {% else %}
                        <p>{{ 'Das ist die bestmögliche Schätzung, die wir für diesen Angriff abgeben konnten.'|trans({}, 'game') }}</p>
                    {% endif %}
                {% endif %}
            </div>
            <div class="padded cell rw-12 center small">
                {% if z1[4] < 100 %}
                    <button {% if not z1[1] or not z1_av %}disabled{% endif%} x-predict-attack="1"><img alt="" src="{{ asset('build/images/building/item_electro.gif') }}" /> {{ 'Den morgigen Angriff berechnen'|trans({},'game') }}</button>
                {% endif %}
            </div>
            {% else %}
                <div class="padded cell rw-12 center">
                    {{'Wir haben noch nicht die Technologie, um den morgigen Angriff zu beurteilen.'|trans({}, 'game')}}
                </div>
                <div class="padded cell rw-12 center">
                    <button disabled><img alt="" src="{{ asset('build/images/building/item_electro.gif') }}" /> {{ 'Den morgigen Angriff berechnen'|trans({},'game') }}</button>
                </div>
            {% endif %}
        </div>
    </div>

    <div class="small-note">
        {% trans from 'game' %}
            Wow, von hier oben kannst du praktisch alles sehen! Schade nur, dass dieses 'alles' sich auf eine leere Sandwüste beschränkt. Wenn du ganz genau hinschaust, kannst du jedoch die Zombies zählen, die sich Richtung Stadt schleppen.
        {% endtrans %}
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        let buttons = document.querySelectorAll('[x-predict-attack]');
        for (let i = 0; i < buttons.length; i++)
            buttons[i].addEventListener('click', function() {
                $.ajax.easySend( '{{ path('town_watchtower_estimate_controller') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('town_watchtower') }}', true);
                    } );
            });
    </script>
{% endblock %}